webpackJsonp([26],{46:function(e,n){e.exports="## Lifecycle\n\n| Lifecycle method | When it gets called                          |\n| ---------------- | -------------------------------------------- |\n| `install`        | before the component gets mounted to the DOM |\n| `installed`      | after the component gets mounted to the DOM  |\n| `uninstall`      | prior to removal from the DOM                |\n| `beforeUpdate`   | before update                           |\n| `updated`    | after update                             |\n| `beforeRender`   | before `render()`                           |\n| `receiveProps`   | parent element re-render will trigger it, `return false` will prevent update action |\n\nFor example:\n\n```js\nimport { render, WeElement, define } from 'omi'\n\ndefine('my-timer', class extends WeElement {\n  static observe = true\n\n  data = {\n    seconds: 0\n  }\n\n  tick() {\n    this.data.seconds++\n  }\n\n  install() {\n    this.interval = setInterval(() => this.tick(), 1000)\n  }\n\n  uninstall() {\n    clearInterval(this.interval)\n  }\n\n  render() {\n    return <div>Seconds: {this.data.seconds}</div>\n  }\n})\n\nrender(<my-timer />, 'body')\n```\n"}});
//# sourceMappingURL=26.ee99a6d0.chunk.js.map